# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.repoinit.parser.operations.AclLine
Modifier and Type
Constant Field
Value
`public static final char`
`ID_DELIMINATOR`
`','`
`public static final String`
`PATH_HOME`
`":home:"`
`public static final String`
`PATH_REPOSITORY`
`":repository"`
`public static final String`
`PROP_NODETYPES`
`"nodetypes"`
`public static final String`
`PROP_PATHS`
`"paths"`
`public static final String`
`PROP_PRINCIPALS`
`"principals"`
`public static final String`
`PROP_PRIVILEGES`
`"privileges"`
`public static final char`
`SUBTREE_DELIMINATOR`
`'#'`
org.apache.sling.repoinit.parser.operations.EnsureAclPrincipalBased
Modifier and Type
Constant Field
Value
`public static final String`
`ACL_OPTION_MERGE`
`"merge"`
`public static final String`
`ACL_OPTION_MERGE_PRESERVE`
`"mergePreserve"`
org.apache.sling.repoinit.parser.operations.Operation
Modifier and Type
Constant Field
Value
`public static final String`
`DQUOTE`
`"\""`
org.apache.sling.repoinit.parser.operations.RegisterNodetypes
Modifier and Type
Constant Field
Value
`public static final String`
`CND_OPTIONAL_PREFIX`
`"<< "`
org.apache.sling.repoinit.parser.operations.RemoveAcePaths
Modifier and Type
Constant Field
Value
`public static final String`
`ACL_OPTION_MERGE`
`"merge"`
`public static final String`
`ACL_OPTION_MERGE_PRESERVE`
`"mergePreserve"`
org.apache.sling.repoinit.parser.operations.RemoveAcePrincipalBased
Modifier and Type
Constant Field
Value
`public static final String`
`ACL_OPTION_MERGE`
`"merge"`
`public static final String`
`ACL_OPTION_MERGE_PRESERVE`
`"mergePreserve"`
org.apache.sling.repoinit.parser.operations.RemoveAcePrincipals
Modifier and Type
Constant Field
Value
`public static final String`
`ACL_OPTION_MERGE`
`"merge"`
`public static final String`
`ACL_OPTION_MERGE_PRESERVE`
`"mergePreserve"`
org.apache.sling.repoinit.parser.operations.SetAclPaths
Modifier and Type
Constant Field
Value
`public static final String`
`ACL_OPTION_MERGE`
`"merge"`
`public static final String`
`ACL_OPTION_MERGE_PRESERVE`
`"mergePreserve"`
org.apache.sling.repoinit.parser.operations.SetAclPrincipalBased
Modifier and Type
Constant Field
Value
`public static final String`
`ACL_OPTION_MERGE`
`"merge"`
`public static final String`
`ACL_OPTION_MERGE_PRESERVE`
`"mergePreserve"`
org.apache.sling.repoinit.parser.operations.SetAclPrincipals
Modifier and Type
Constant Field
Value
`public static final String`
`ACL_OPTION_MERGE`
`"merge"`
`public static final String`
`ACL_OPTION_MERGE_PRESERVE`
`"mergePreserve"`